Skip to main content
PATCH
/
api
/
v1
/
alert-rules
/
{rule_id}
Update Alert Rule Route
curl --request PATCH \
  --url https://api.example.com/api/v1/alert-rules/{rule_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "trigger_type": "policy_block",
  "threshold": 123,
  "channels": [
    "in_app"
  ],
  "proxy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "enabled": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "proxy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "trigger_type": "<string>",
  "threshold": 123,
  "channels": [
    "<string>"
  ],
  "enabled": true,
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.xenovia.io/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string | null

Path Parameters

rule_id
string<uuid>
required

Body

application/json
name
string | null
Required string length: 1 - 255
trigger_type
enum<string> | null
Available options:
policy_block,
policy_escalate,
high_latency,
high_intent_score
threshold
number | null
channels
enum<string>[] | null
Available options:
in_app,
email,
slack
proxy_id
string<uuid> | null
enabled
boolean | null

Response

Successful Response

id
string<uuid>
required
org_id
string<uuid>
required
proxy_id
string<uuid> | null
required
name
string
required
trigger_type
string
required
threshold
number | null
required
channels
string[]
required
enabled
boolean
required
created_at
string<date-time>
required